<html>
    <head>
        {% load static %}
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>farhan_prima: IS Student Who Has Rp100m+ Revenue</title>
    </head>
    <style>
        .regular {  
            color: rgba(242,242,242,1);
            font-family: Roboto;
            font-weight: Regular;
            font-size: 1rem;
        }
        body {
            padding: 0;
            margin: 0;
            width: 100vw;
        }
        body section.form {
            display: flex;
            flex-flow: row wrap;
            background-color: rgba(12,28,33,1);
            justify-content: flex-start;
        }
        body section.form .box {
            display: flex;
            flex-flow: column wrap;
            border: 1px solid white;
            padding: 1rem;
            margin-top: 2rem;
            margin-left: 2rem;
        }
        body section.form .box p {
            margin-bottom: 2rem;
        }
        body section.form .box ul {
            margin-bottom: 2rem;
            padding-inline-start: 1rem;
        }
        body section.form .box form input.add-person[type=text]  {
            margin-bottom: 1rem; 
            padding-left: 0.5rem;
        }
        body section.form .box form input.add-person[type=text]:focus  {
            outline: none;
        }
        body section.form .box form button.add-person  {
            background-color: rgba(255,128,0,1);
            color: rgba(242,242,242,1);
            border-radius: 2px;
            border: 0;
            text-align: center;
            font-weight: bold;
            transition: 0.3s;
        }
        body section.form .box form button.add-person:hover  {
            background: rgb(204, 102, 0);
            color: rgb(204, 204, 204);
        }
        body section.form .box form button.add-person:focus  {
            outline: none;
        }
        body section.form .box form button.add-person p {
            margin: auto;
            padding: 0.5rem;
        }
        body section.form .box .judul form p {
            margin-bottom: 2rem;
        }
        body section.form .box .judul form button:focus {
            outline: none;
        }
        body section.form .box .judul {
            margin-bottom: auto;
        }
    </style>

    <body>
        {% include 'base.html' %}
        <section class="form regular">
            {% for activity in content %}
            <div class="box">
                <div class="judul">
                    <form action="{% url 'story6:delete-activity' activity.id %}" style="display: flex; flex-flow: row wrap;" method="POST">
                        {% csrf_token %}
                        <p style="text-align: center; margin-left: auto;">{{ activity.name }}</p>
                        <input type="hidden" name="id" value="{{ activity.id }}">
                        <button type="submit" class="delete-person" style="margin-left: 0.5rem; margin-right: auto; height: 1.5rem; background-color: red; color: white; border: 0; font-size: 12; transition: 0.3s;">X</button>
                    </form>
                </div>
                <ul>
                    {% for person in activity.person_set.all %}
                    <form action="{% url 'story6:delete-person' person.id %}" style="display: flex; flex-flow: row wrap;" method="POST">
                        {% csrf_token %}
                        <li>{{ person.name }}</li>
                        <input type="hidden" name="id" value="{{ person.id }}">
                        <button type="submit" style="margin-left: 0.5rem; margin-right: auto; height: 1.5rem; background-color: red; color: white; border: 0; font-size: 12;">X</button>
                    </form>
                    {% endfor %}
                </ul>
                <form action="{% url 'story6:add-person' %}" method="POST" style="display: flex; flex-flow: column wrap; margin-block-end: 0;" method="POST">
                    {% csrf_token %}
                    <input type="text" name="name" class="add-person" required>
                    <input type="hidden" class="add-person" name="activity" value="{{ activity.id }}">
                    <button type="submit" class="add-person"><p>Add Person</p></button>
                </form>
            </div>
            {% endfor %}

            <div class="box" style="height: 15.25rem;">
                <p style="text-align: center; margin-bottom: 6.125rem;">Add Activity</p>
                <form action="{% url 'story6:add-activity' %}" method="POST" style="display: flex; flex-flow: column wrap; margin-block-end: 0;">
                    {% csrf_token %}
                    <input type="text" class="add-person" name="name" maxlength="50" required>
                    <button type="submit" class="add-person"><p>Add Activity</p></button>
                </form>
            </div>
        </section>
    </body>
</html>